%Gen_Capm generates the maximum number of users Capm that each system can accept using:
% -The J_all vector since it contains the maximum number of simultaneous users
% -The average user activity in minutes per month Da
% -The global system utilization Us
%The last two parameters need to be defined by the user

Da=125; %typical values are between 100 and 150 min/month
Us=0.1; %typical values are between 5 percent and 15 percent
Au=Da/(365/12*24*60); %We convert Da in number of channels used.
Capm=[];
for i=1:length(J_all)
    Capm=[Capm J_all(i).totalcap*Us/Au];
end
