%fix_cost gives us the lifecycle cost of an architecture that is fixed over the lifetime of the system.
%The inputs are:
% -i: index of the architecture
% -IDC
% -OSC
% -c :vector of constants
% -dr: discount rate

function cost=fix_cost(i,IDC,OSC,c,dr)

X=[IDC(i)+OSC(i)]; %Cost for the first year
X=[X OSC(i)*ones(1,c.Tsat-1)]; %We add the costs for each period

cost=pvvar(X,dr);