% function commQuality.m
% module to calculate communication quality
% Darren Zhang (darrenz@mit.edu)
% last modified on 1/27/02

function commQualityIndex = commQuality(dataRate)
% By a curve fitting to the data in section 4.1.2, Lutz
% I found the following relationship b/w Mean Opinion Score (MOS)
% and data rate

% problems yet to be solved:
% 1. how to define comm. quality besides MOS?
% 2. what's the relation b/w comm. quality and revenue?
% 3. for high bandwidth transimmssion for data, is comm. quality still the concern?

MOS = 0.489*log(dataRate) + 2.4442;
commQualityIndex = MOS;