for ind=1:600
   Nuser(ind)=J_all(:,ind).totalcap;
   Ctot(ind)=J_all(:,ind).syscaplife;
   LCC(ind)=J_all(:,ind).lifecyclecost;
   CPF(ind)=J_all(:,ind).cpf;
   Nsub(ind)=J_all(:,ind).marketpotential;
end

figure(1);
loglog(Ctot,LCC/1000,'b*')
hold on
loglog([2.7E11 4.5E11],[3.7 5.5],'mo')
loglog([2.05E11 5.4E11],[3.17 2.2],'gh')
xlabel('System Lifetime Capacity [min]')
ylabel('System Lifecycle Cost [B$]')