% x Globalstar design vector
% Design Vector (single architecture evaluation)
C='polar';    % constellation type [options: 'polar','walker']
r=1414;        % orbital altitude [km]
epsilon=10;  % minimum elevation angle [deg]
Pt=1000;      % satellite transmitter power [W]
DA=0.75;       % ??? satellite antenna diameter [D] - assume parabolic not phased array
Dfc=1250;    % individual channel bandwidth [kHz]
ISL=0;        % intersatellite links (1=yes, 0=no)
Tsat=8;       % satellite lifetime [years]

x.C=C;
x.r=r;
x.epsilon=epsilon;
x.Pt=Pt;
x.DA=DA;
x.Dfc=Dfc;
x.ISL=ISL;
x.Tsat=Tsat;

xunits.C='[constellation type]';
xunits.r='[km]';
xunits.epsilon='[deg]';
xunits.Pt='[W]';
xunits.DA='[m]';
xunits.Dfc='[kHz]';
xunits.ISL='[1=yes,0=no]';
xunits.Tsat='[years]';
