% function satNetwork
% by Darren Zhang (darrenz@mit.edu)
% last modified on 3/26/02

% a dummy module

% problems yet to be solved:
% 1. what are the key system-level design variables here:
% onboard processing? satellite crosslink?
% 2. estimate ground station KLOC.
% 3. estimate number of GS.
% 4. estimate number of personnel per GS
% 5. how does network affect linkDesign module?

function [GSKLOC,NGS,personnel] = satNetwork(constel,xlink,Nmin,NPmin)

GSKLOC	= 6.3;         % ground system thousand lines of code, estimated based on GlobalStar, ARIES, ORBCOMM, and Starnet

if xlink == 0        % no xlink
    NGS	= Nmin*0.3;	 % number of ground stations = # of sats * 30% <-(land area percentage)
elseif xlink == 1    % with xlink
    NGS = NPmin*2;   % 2 gound stations per plane   
else
    disp('xlink option error!');
end;
personnel= NGS*3*3;	% number of personnel required 24 hours a day 
					% at all ground stations for a standard S/C

