%For a given Binomial scenario, plotbino plots the associated binomail tree
%It is a good way to check the range of values for demand of the binomial tree

function h=plotbino(D,demand)

X=0:D.period;
X=D.tstep*X;
[n,m]=size(demand);
D0=D.initial*ones(n,1);
Y=[D0 demand];
semilogy(X,Y,'k','LineWidth',2);
xlabel('Time [years]');
ylabel('Demand [nb of subscribers]');
title('Binomial tree for Demand');
set(gca,'xtick',X);

