% ancestors
% Given an architecture i, ancestors will give all of the architectures of the same family with higher capacities and rank them.
% All is gathered in the vector X in the following order:
% -Capacity (increasing with the columns)
% -i: rank of the architecture in x_all
% -altitude
% -epsilon

function X=ancestors(i,x_all,Capm)

Y=x_all(i);
X=ranking(x_all,Y,Capm);

%We remove all of the architectures that have a lower capacity than Y in X
stop=0;
while stop~=1
    if X(2,1)~=i
        X(:,1)=[];
    else
        stop=1;
    end
end
X;

        

