%find_bestfixed
%This function finds the best fixed architecture (Pareto optimal) for a given projected demand

function S=find_bestfixed(D,x_all,Capm,LCC)

nx=length(x_all);
cmax=D.target;
S=[0;-1;1/eps];
for i=1:nx
    if Capm(i)>=cmax
        if LCC(i)<S(3,1);
            S=[i;Capm(i);LCC(i)];
        else
        end
    else
    end
end

        