% Design Vector (single architecture evaluation)
C='polar';    % constellation type [options: 'polar','walker']
r=780;        % orbital altitude [km]
epsilon=8.2;  % minimum elevation angle [deg]
Pt=1400;      % satellite transmitter power [W]
DA=1.5;       % satellite antenna diameter [D] - assume parabolic not phased array
Dfc=41.67;    % individual channel bandwidth [kHz]
ISL=1;        % intersatellite links (1=yes, 0=no)
Tsat=5;       % satellite lifetime [years]

x.C=C;
x.r=r;
x.epsilon=epsilon;
x.Pt=Pt;
x.DA=DA;
x.Dfc=Dfc;
x.ISL=ISL;
x.Tsat=Tsat;
