function [Cost_pareto,Performance_pareto,I_pareto] = ParetoFront(Cost,Performance)
for i = 1:length(C)
    I(i) = i;
end;

paretoMatrix = [C',P',I'];

pareto_counter = 0;

while size(paretoMatrix,1) > 1
    pareto_counter                  = pareto_counter + 1;
    paretoMatrix                    = sortrows(paretoMatrix,[1 2]);
    C_P(pareto_counter,1:3)= paretoMatrix(1,1:3);
    paretoMatrix                    = sortrows(paretoMatrix,[2 1]);
    
    delete_counter = 1;
    while paretoMatrix(delete_counter,1) ~= C_P(pareto_counter,1)
        delete_counter = delete_counter + 1;
    end;
    
    Nrows = size(paretoMatrix,1);
    paretoMatrix = paretoMatrix(delete_counter+1:Nrows,1:3);
end;

sortrows(C_P,[1 2]);

Nrows2 = size(C_P,1);
C_Pcounter = 0;
for check_counter = 1:(Nrows2-1)
    if C_P(check_counter,1) ~= C_P(check_counter+1,1)
        C_Pcounter = C_Pcounter + 1;
        newC_P(C_Pcounter,1:3) = C_P(check_counter,1:3);
    else
    end;
end;
newC_P(C_Pcounter+1,1:3) = C_P(Nrows2,1:3);

sortrows(newC_P,[2 1]);

Nrows3 = size(newC_P,1);
for swap_counter = 1:Nrows3
    newNewC_P(swap_counter,1:3) = newC_P(Nrows3-swap_counter+1,1:3);
end;

C_Pcounter = 0;
for check_counter = 1:(Nrows3-1)
    if newNewC_P(check_counter,2) ~= newNewC_P(check_counter+1,2)
        C_Pcounter = C_Pcounter + 1;
        newNewNewC_P(C_Pcounter,1:3) = newNewC_P(check_counter,1:3);
    else
    end;
end;
newNewNewC_P(C_Pcounter+1,1:3) = newNewC_P(Nrows3,1:3);

Cost_pareto = newNewNewC_P(:,1);
Performance_pareto = newNewNewC_P(:,2);
I_pareto = newNewNewC_P(:,3);