% Constants Vector (fixed parameters) for Teledesic
MS='QPSK';            %  Modulation scheme
Pe=2.0  ;             %  [W] satellite telephone power
MAM='TDMA';           %  Multiple Access Method
Ge=10;                 %  Gain of satellite phone - NOT in dB
incli=98.16*(pi/180);    %  (max) inclination (latitude)
eta_t=55;             %  satellite transmitter efficiency in percent
DR=12;                %  discount rate in percent
GB=2.08;              %  width of a typical guardband

c.MS=MS;
c.Pe=Pe; 
c.MAM=MAM;
c.Ge=Ge;
c.incli=incli;
c.eta_t=eta_t;
c.DR=DR;
c.GB=GB;

cunits.MS='[modulation]';
cunits.Pe='[W]';
cunits.MAM='[muliple access method]';
cunits.Ge='[-]';
cunits.incli='[radians]';
cunits.eta_t='[%]';
cunits.DR='[%]';
cunits.GB='[kHz]';






