% display the capable LV information, including cost per launch and total cost
if finalLScounter == 0
   fprintf('No launch vehicle in the database is capable of carrying the launch mission.:p\n');
elseif finalLScounter == 1
   fprintf('The capable launch vehicle is\n');
else
   fprintf('The capable launch vehicles are\n');
end;
for i = 1:finalLScounter
   fprintf('Launch Vehicle %2.0f: %s\n',i,char(finallaunchVehicle{i}));
   fprintf('Launch Site: %s\n',char(finallaunchSite{i}));
   fprintf('Satellites per Launch: %2.0f\n',finalsatPerVehicle(i));
   fprintf('Cost per Launch (in thousand dollars): %5.0f\n',(finalcostPerLaunchl(i)+finalcostPerLaunchh(i))/2);
end;
finaltotalCostl = finalnumberOfLaunch .* finalcostPerLaunchl;
finaltotalCosth = finalnumberOfLaunch .* finalcostPerLaunchh;
fprintf('Total Cost of Launching the Entire Constellation (in thousand dollars): %5.0f\n\n',(finaltotalCostl+finaltotalCosth)/2);
totalCost = (finaltotalCostl + finaltotalCosth)/2;
[minLaunchCost,i] = min(totalCost);
fprintf('The LV that has lowest total cost is: %s\n',char(launchVehicle{i}));
fprintf('The lowest cost is (in thousand dollars): %5.0f\n',finalminLaunchCost);