FID_Output = fopen('system_chars.doc', 'w');

if FID_Output == -1
    % Error if FID is -1.
    disp( 'Error reading the file system_chars.doc' )
else
    % Write the header
    fprintf(FID_Output, 'Write the result of the simulator:\n');
    fprintf(FID_Output, 'Count          #_of_sats  #_of_planes  sat_mass     sat_capacity    launch_vehicle #_of_launch system_capacity ISL\n');
    % Write the values of results
    for i = 1:result_count
        fprintf(FID_Output,'%6.0f %9.0f %9.0f %9.3f %9.0f %s %9.0f %9.0f %6.0f\n',i,Nmin_(i),NPmin_(i),Msat_(i),userPerSat_(i),launchVehicle_{i},numberOfLaunch_(i),systemCapacity(i),ISL_(i));
    end;
    
    fprintf(FID_Output, 'On the Pareto front of Total Present Cost vs. Capcity plot\n');
    fprintf(FID_Output, 'Count          #_of_sats  #_of_planes  sat_mass     sat_capacity    launch_vehicle #_of_launch system_capacity ISL\n');
    for i = 1:size(TPC_pareto,1)
        fprintf(FID_Output,'%6.0f %9.0f %9.0f %9.3f %9.0f %s %9.0f %9.0f %6.0f\n',i,Nmin_(index_pareto(i)),NPmin_(index_pareto(i)),Msat_(index_pareto(i)),userPerSat_(index_pareto(i)),launchVehicle_{index_pareto(i)},numberOfLaunch_(index_pareto(i)),systemCapacity(index_pareto(i)),ISL_(index_pareto(i)));
    end;
    
    % Close the output file
    fclose(FID_Output);
end;